Bug 27370 - Add libQt5Core-private-headers-devel and libQt5Gui-private-headers-devel, NEW PACKAGE REQUEST
Summary: Add libQt5Core-private-headers-devel and libQt5Gui-private-headers-devel, NEW...
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: New RPM package request (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: Normal enhancement
Target Milestone: Mageia 8
Assignee: All Packagers
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-08 08:56 CEST by Kristoffer Grundström
Modified: 2020-10-08 17:01 CEST (History)
1 user (show)

See Also:
Source RPM: libqt5-qtbase
CVE:
Status comment:


Attachments

Description Kristoffer Grundström 2020-10-08 08:56:43 CEST
Description of problem: I know very well that we have get-telegram to install Telegram, but get-telegram tends to not get updated in our medias as often as there is a new official update released in the actual app so I looked into the telegram-desktop spec file and see that it uses libQt5Core-private-headers-devel and libQt5Gui-private-headers-devel which we don't have. If someone could add these 2 packages I could build the telegram-desktop app myself from it's source and use that locally.

Version-Release number of selected component (if applicable): 5.15.1

How reproducible: All the time.

Steps to Reproduce:
1. Open a terminal.
2. Type wget https://download.opensuse.org/source/tumbleweed/repo/oss/src/telegram-desktop-2.4.2-1.1.src.rpm
3. Open the src.rpm and look inside the spec file.
4. Among the BuildRequires you'll find libQt5Core-private-headers-devel and libQt5Gui-private-headers-devel being needed.
Kristoffer Grundström 2020-10-08 08:57:34 CEST

Summary: Please build libQt5Core-private-headers-devel, libQt5Gui-private-headers-devel and add them to Mageia as well => [REQUEST] Add libQt5Core-private-headers-devel and libQt5Gui-private-headers-devel to our repos

Comment 1 Aurelien Oudelet 2020-10-08 09:16:43 CEST
Hi, thanks taking time to request a package for our distribution.

This request was set for Mageia 7. Based on our policies, we can't add packages to an already released distribution. Setting this request against Cauldron, targeting milestone to Mageia 8.

Assigning this package request to all packagers collectively. On a voluntary basis, one of them might, if there are no license or other legal issues, want to integrate it to the distribution and maintain it for bug and security fixes.

You Kristoffer might also want to join the packager team to maintain this piece of software: see https://wiki.mageia.org/en/Becoming_a_Mageia_Packager

Version: 7 => Cauldron
Assignee: bugsquad => pkg-bugs
Target Milestone: --- => Mageia 8
Severity: normal => enhancement
Summary: [REQUEST] Add libQt5Core-private-headers-devel and libQt5Gui-private-headers-devel to our repos => Add libQt5Core-private-headers-devel and libQt5Gui-private-headers-devel, NEW PACKAGE REQUEST

Comment 2 David GEIGER 2020-10-08 17:01:19 CEST
libQt5Core-private-headers-devel is provided by lib64qt5core-devel (aka pkgconfig(Qt5Core))

and libQt5Gui-private-headers-devel is provided by lib64qt5gui-devel (aka pkgconfig(Qt5Gui))

CC: (none) => geiger.david68210


Note You need to log in before you can comment on or make changes to this bug.